Bug 984315 - [abrt] gnome-abrt-0.2.12-2.fc18: Gtk.py:1624:<module>:RuntimeError: Gtk couldn't be initialized
[abrt] gnome-abrt-0.2.12-2.fc18: Gtk.py:1624:<module>:RuntimeError: Gtk could...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:e041dd956f932e40e4f1d6b9c57...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 16:38 EDT by superpatosainz
Modified: 2016-11-30 19:44 EST (History)
3 users (show)

See Also:
Fixed In Version: abrt-2.1.6-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.82 KB, text/plain)
2013-07-14 16:39 EDT, superpatosainz
no flags Details
File: core_backtrace (402 bytes, text/plain)
2013-07-14 16:39 EDT, superpatosainz
no flags Details
File: environ (2.13 KB, text/plain)
2013-07-14 16:39 EDT, superpatosainz
no flags Details

  None (edit)
Description superpatosainz 2013-07-14 16:38:57 EDT
Description of problem:
This is linked with bug #984314

Happened at the same time, same reproduction, etc.

Version-Release number of selected component:
gnome-abrt-0.2.12-2.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/gnome-abrt
dso_list:       pygobject3-base-3.4.2-6.fc18.x86_64
executable:     /usr/bin/gnome-abrt
kernel:         3.9.9-201.fc18.x86_64
runlevel:       N 5
uid:            1000
Comment 1 superpatosainz 2013-07-14 16:39:01 EDT
Created attachment 773420 [details]
File: backtrace
Comment 2 superpatosainz 2013-07-14 16:39:04 EDT
Created attachment 773421 [details]
File: core_backtrace
Comment 3 superpatosainz 2013-07-14 16:39:07 EDT
Created attachment 773422 [details]
File: environ
Comment 4 Jakub Filak 2013-07-19 11:03:08 EDT
Patch submitted for review:
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-July/005031.html
Comment 5 Jakub Filak 2013-07-26 08:14:41 EDT
Fixed in upstream git:

commit f8cfe96bb2364198ac4c50640e79d3bc6655ea92
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Jul 24 12:32:10 2013 +0200

    Check if X display can be opened
    
    Gtk raise too general exception (RuntimeError) which should not be
    caught and considered as evidence that X is accessible.
    
    Closes rhbz#984315
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Michal Toman <mtoman@redhat.com>
Comment 6 Fedora Update System 2013-07-29 07:11:38 EDT
abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
Comment 7 Fedora Update System 2013-07-30 13:42:24 EDT
Package abrt-2.1.6-2.fc18, gnome-abrt-0.3.0-1.fc18, libreport-2.1.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc18 gnome-abrt-0.3.0-1.fc18 libreport-2.1.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-02 18:03:03 EDT
Package abrt-2.1.6-2.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc18 libreport-2.1.6-2.fc18 gnome-abrt-0.3.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-2.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-08-07 19:00:33 EDT
Package abrt-2.1.6-3.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-3.fc18 libreport-2.1.6-2.fc18 gnome-abrt-0.3.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-3.fc18,gnome-abrt-0.3.0-2.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-22 20:39:13 EDT
abrt-2.1.6-3.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.